package jalview.ws2.actions.api;

import jalview.util.MathUtils;
import jalview.ws2.api.JobStatus;

public interface JobI
{
  /**
   * Get a unique job id used internally by jalview.
   * 
   * @return unique job id
   */
  long getInternalId();
  
  /**
   * Get the status of this job
   * 
   * @return job status
   */
  JobStatus getStatus();
  
  /**
   * Get the log for this job
   * 
   * @return sub job log
   */
  String getLog();
  
  /**
   * Get the error log for this job.
   * 
   * @return sub job error log
   */
  String getErrorLog();
}
